import type { EChartsOption, SeriesOption } from 'echarts';
import type { XAXisOption, YAXisOption } from 'echarts/types/dist/shared';
export interface NormalizedEChartOption extends EChartsOption {
    series: SeriesOption[];
    xAxis?: XAXisOption[];
    yAxis?: YAXisOption[];
}
export declare type LegacyDataset = (string | number)[][];
export declare type NormalizedDataset = Record<string, string | number>[];
export declare type BasicDataset = LegacyDataset | NormalizedDataset;
export declare enum DimensionType {
    CategoryAxis = "categoryAxis",
    Series = "series",
    RadarIndicator = "radarIndicator"
}
export declare enum MetricType {
    Bar = "bar",
    Line = "line",
    Radar = "radar",
    Pie = "pie",
    Funnel = "funnel"
}
export interface BasicDimension {
    key: string;
    visual: DimensionType;
}
export interface BasicMetric {
    key: string;
    visual: MetricType;
    axisIndex?: 0 | 1;
}
export declare type EChartOptionAddon = (option: NormalizedEChartOption) => void;
export declare type EChartOptionPlugin = (...args: any[]) => EChartOptionAddon;
